Bug 41132 - Adjust package ucs-school-umc-wizards
Adjust package ucs-school-umc-wizards
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: UMC
UCS@school 4.1
Other Linux
: P5 normal (vote)
: UCS@school 4.1 R2
Assigned To: Florian Best
Daniel Tröder
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-04-25 17:25 CEST by Florian Best
Modified: 2016-06-28 18:24 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2016-04-25 17:25:26 CEST
The package ucs-school-umc-wizards has to be adjusted to work with the new attributes/object classes.
Comment 1 Florian Best univentionstaff 2016-06-07 17:52:58 CEST
When selecting 'all' schools the users are shown duplicated if they belong to multiple schools. This doesn't need to be adjusted because of the changes in Bug #41293.

Exam users were also shown and are now hidden again.

ucs-school-lib (9.0.16-1):
r69914 | Bug #41425: prevent subclasses to read wrong user object
r69885 | Bug #41132: fix fuzzy
r69881 | Bug #41132: rename user attribute school_class → school_classes which contains a dict of schools → list of class names

ucs-school-umc-wizards (8.0.0-3):
r69619 | Bug #41132: preserve functions arguments in decorator (e.g. to keep the search_base)
Comment 2 Daniel Tröder univentionstaff 2016-06-08 11:46:44 CEST
1. I create a student in school1, in the user wizard all classes (of school1) can be selected.
2. Then I add a school "school2" to the student in the extended-settings→ucs@school-tab.
3. I close and open the user wizard, choose to work on school2 and select the student.
4. No classes are listed.
Comment 3 Florian Best univentionstaff 2016-06-09 14:50:43 CEST
(In reply to Daniel Tröder from comment #2)
> 1. I create a student in school1, in the user wizard all classes (of
> school1) can be selected.
> 2. Then I add a school "school2" to the student in the
> extended-settings→ucs@school-tab.
> 3. I close and open the user wizard, choose to work on school2 and select
> the student.
> 4. No classes are listed.

Fixed in:
ucs-school-umc-wizards (8.0.0-7):
r70035 | Bug #41293: set the correct school in the User grid
Comment 4 Daniel Tröder univentionstaff 2016-06-14 17:57:00 CEST
(In reply to Florian Best from comment #1)
> r69885 | Bug #41132: fix fuzzy
OK

> r69881 | Bug #41132: rename user attribute school_class → school_classes
> which contains a dict of schools → list of class names
OK: Code
OK: Test:
with utu.UCSTestSchool() as schoolenv:
    username, dn = schoolenv.create_user("schule1", classes="schule1-1A,schule1-2B", use_cli=True)
    user = User.from_dn(dn, "schule1", lo)
    print user.school_classes
→ {'schule1': ['schule1-1A', 'schule1-2B']}


REMARK: for backwards compatibility reasons the ucsschool-lib hooks (calling external executables) do not export all school, but just the primary school (position).


> ucs-school-umc-wizards (8.0.0-3):
> r69619 | Bug #41132: preserve functions arguments in decorator (e.g. to keep
> the search_base)
OK: Code

(In reply to Florian Best from comment #3)
> (In reply to Daniel Tröder from comment #2)
> > 1. I create a student in school1, in the user wizard all classes (of
> > school1) can be selected.
> > 2. Then I add a school "school2" to the student in the
> > extended-settings→ucs@school-tab.
> > 3. I close and open the user wizard, choose to work on school2 and select
> > the student.
> > 4. No classes are listed.
> 
> Fixed in:
> ucs-school-umc-wizards (8.0.0-7):
> r70035 | Bug #41293: set the correct school in the User grid
OK: Groups of all schools a Student is in, are selectable.
Comment 5 Florian Best univentionstaff 2016-06-28 18:24:59 CEST
UCS@school 4.1 R2 has been released:
http://docs.software-univention.de/release-notes-ucsschool-4.1R2v1-de.pdf

If this error occurs again, please use "Clone This Bug".